# Mihomo 服务端配置（MetaCubeX/mihomo v1.18.3+）
# 适用于自建代理服务器，支持 TLS、Reality、Hysteria2 等协议
# 监听端口: 443 (HTTPS / VLESS / Trojan / Hysteria2)
# 管理端口: 9090 (RESTful API)

# 端口与监听地址
mixed-port: 0                       # 关闭客户端混合端口
allow-lan: false                    # 关闭局域网代理（纯服务端）
external-controller: 0.0.0.0:49090  # 管理 API（仅内网或防火墙限制）
secret: Henkaku@1    # API 访问密钥
# 日志等级
log-level: info
external-ui: /etc/mihomo/ui

listeners:
- name: hy2-in
  type: hysteria2
  port: 58443
  server: mihomo.rymaker.com
  listen: 0.0.0.0
  users:
    sun: tsz19961997412
  up: 1000
  down: 1000
  ignore-client-bandwidth: false
  obfs: salamander
  obfs-password: tsz19961997412
  masquerade: https://www.baidu.com
  alpn:
    - h3
  certificate: /etc/letsencrypt/live/mihomo.rymaker.com/fullchain.pem # 证书 PEM 格式，或者 证书的路径
  private-key: /etc/letsencrypt/live/mihomo.rymaker.com/privkey.pem